#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
#
register_check_parameters(
    subgroup_applications,
    'cisco_asyncos_queue',
    _('Cisco AsyncOS queue'),
    Dictionary(
       #  help=_(''),
        elements=[
            ('levels',
             Tuple(
                 title=_('Levels for nuber of messages in work queue'),
                 elements=[
                     Integer(title=_('Warning'), default_value=50, unit=_('# of messages')),
                     Integer(title=_('Critical'), default_value=100, unit=_('# of messages')),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)
