#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
#
register_check_parameters(
    subgroup_applications,
    'cisco_asyncos_update',
    _('Cisco AsyncOS update'),
    Dictionary(
       #  help=_(''),
        elements=[
            ('features_ignore',
              ListOfStrings(
                  title=_('update features to ignore'),
                  orientation='vertical',
                  help=_('there will be no warning/critical if this features are not updated'
                         'Examples: geo_countries, timezones, etc.'),
              )
             ),
            ('failedLevel',
             Tuple(
                 title=_('Levels for failed attempts'),
                 elements=[
                     Integer(title=_('Warning'), default_value=5, unit=_('# of failed attempts')),
                     Integer(title=_('Critical'), default_value=10, unit=_('# of failed attempts')),
                 ])),
        ],
    ),
    None,
    match_type='dict',
)
